StatisticsSummaryData (Apache JMeter dist API)
Description: declaration: package: org.apache.jmeter.report.processor, class: StatisticsSummaryData

Package org.apache.jmeter.report.processor

# Class StatisticsSummaryData

java.lang.Object
org.apache.jmeter.report.processor.StatisticsSummaryData

public class StatisticsSummaryData extends Object
The class ApdexSummaryData provides information for StatisticsSummaryConsumer.

Since:
  3.0

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StatisticsSummaryData(double percentileIndex1, double percentileIndex2, double percentileIndex3)`
  Instantiates a new statistics info.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final long`
  `getBytes()`
  Gets the bytes.
  `double`
  `getBytesPerSecond()`
  Gets the bytes per second.
  `long`
  `getElapsedTime()`
  `final long`
  `getEndTime()`
  Gets the end time.
  `final long`
  `getErrors()`
  `final long`
  `getFirstTime()`
  Gets the first time.
  `double`
  `getKBytesPerSecond()`
  Gets the kilo bytes per second.
  `final long`
  `getMax()`
  `MeanAggregator`
  `getMean()`
  `PercentileAggregator`
  `getMedian()`
  `final long`
  `getMin()`
  `final PercentileAggregator`
  `getPercentile1()`
  `final PercentileAggregator`
  `getPercentile2()`
  Gets the percentile2.
  `final PercentileAggregator`
  `getPercentile3()`
  Gets the percentile3.
  `long`
  `getSentBytes()`
  `double`
  `getSentBytesPerSecond()`
  Gets the sent bytes per second.
  `double`
  `getSentKBytesPerSecond()`
  Gets the sent kilo bytes per second.
  `double`
  `getThroughput()`
  Gets the throughput.
  `final long`
  `getTotal()`
  `void`
  `incBytes(long value)`
  Increment received bytes
  `void`
  `incErrors()`
  `void`
  `incSentBytes(long value)`
  Increment sent bytes
  `void`
  `incTotal()`
  `final void`
  `setBytes(long bytes)`
  Sets the bytes.
  `final void`
  `setEndTime(long endTime)`
  Sets the end time.
  `final void`
  `setErrors(long errors)`
  `final void`
  `setFirstTime(long firstTime)`
  Sets the first time.
  `final void`
  `setMax(long max)`
  `final void`
  `setMin(long min)`
  `final void`
  `setTotal(long total)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### StatisticsSummaryData

    public StatisticsSummaryData(double percentileIndex1, double percentileIndex2, double percentileIndex3)
    Instantiates a new statistics info.
    Parameters:
      `percentileIndex1` - value of first percentile
      `percentileIndex2` - value of second percentile
      `percentileIndex3` - value of third percentile

- ## Method Details

  - ### getElapsedTime

    public long getElapsedTime()

  - ### getFirstTime

    public final long getFirstTime()
    Gets the first time.
    Returns:
      the firstTime

  - ### setFirstTime

    public final void setFirstTime(long firstTime)
    Sets the first time.
    Parameters:
      `firstTime` - the firstTime to set

  - ### getEndTime

    public final long getEndTime()
    Gets the end time.
    Returns:
      the endTime

  - ### setEndTime

    public final void setEndTime(long endTime)
    Sets the end time.
    Parameters:
      `endTime` - the endTime to set

  - ### getBytes

    public final long getBytes()
    Gets the bytes.
    Returns:
      the bytes

  - ### setBytes

    public final void setBytes(long bytes)
    Sets the bytes.
    Parameters:
      `bytes` - the bytes to set

  - ### getErrors

    public final long getErrors()
    Returns:
      the errors

  - ### setErrors

    public final void setErrors(long errors)
    Parameters:
      `errors` - the errors to set

  - ### getTotal

    public final long getTotal()
    Returns:
      the total

  - ### setTotal

    public final void setTotal(long total)
    Parameters:
      `total` - the total to set

  - ### getMin

    public final long getMin()
    Returns:
      the min

  - ### setMin

    public final void setMin(long min)
    Parameters:
      `min` - the min to set

  - ### getMax

    public final long getMax()
    Returns:
      the max

  - ### setMax

    public final void setMax(long max)
    Parameters:
      `max` - the max to set

  - ### getPercentile1

    public final PercentileAggregator getPercentile1()
    Returns:
      the percentile1

  - ### getPercentile2

    public final PercentileAggregator getPercentile2()
    Gets the percentile2.
    Returns:
      the percentile2

  - ### getPercentile3

    public final PercentileAggregator getPercentile3()
    Gets the percentile3.
    Returns:
      the percentile3

  - ### getBytesPerSecond

    public double getBytesPerSecond()
    Gets the bytes per second.
    Returns:
      the bytes per second

  - ### getKBytesPerSecond

    public double getKBytesPerSecond()
    Gets the kilo bytes per second.
    Returns:
      the kilo bytes per second

  - ### getThroughput

    public double getThroughput()
    Gets the throughput.
    Returns:
      the throughput

  - ### incTotal

    public void incTotal()

  - ### incBytes

    public void incBytes(long value)
    Increment received bytes
    Parameters:
      `value` - bytes

  - ### incSentBytes

    public void incSentBytes(long value)
    Increment sent bytes
    Parameters:
      `value` - bytes

  - ### incErrors

    public void incErrors()

  - ### getMean

    public MeanAggregator getMean()
    Returns:
      the mean response times

  - ### getMedian

    public PercentileAggregator getMedian()
    Returns:
      the median response times

  - ### getSentBytes

    public long getSentBytes()
    Returns:
      the sentBytes

  - ### getSentBytesPerSecond

    public double getSentBytesPerSecond()
    Gets the sent bytes per second.
    Returns:
      the sent bytes per second

  - ### getSentKBytesPerSecond

    public double getSentKBytesPerSecond()
    Gets the sent kilo bytes per second.
    Returns:
      the sent kilo bytes per second